<?xml version="1.0" encoding="UTF-8"?>
<xsl:transform
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="1.0"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:RequireResults="http://www.kinet.co.kr/WSAD/schemas/RequireResults"
    xmlns:CCGOODS_CCPARTS="http://www.ibm.com/CCGOODS_CCPARTS"
    exclude-result-prefixes="CCGOODS_CCPARTS">
<xsl:output method="xml" encoding="UTF-8" indent="yes" xalan:indent-amount="2"/>
<xsl:strip-space elements="*"/>


  <!--======================================================================-->
  <!-- This file contains an XSLT transformation stylesheet which           -->
  <!-- constructs a result tree from a number of XML sources by filtering   -->
  <!-- reordering and adding arbitrary structure. This file is              -->
  <!-- automatically generated by the XML Mapper tool from IBM WebSphere    -->
  <!-- Studio Workbench.                                                    -->
  <!--======================================================================-->


  <!--======================================================================-->
  <!--                          The Root Element                            -->
  <!-- The "Root Element" section specifies which template will be          -->
  <!-- invoked first thus determining the root element of the result tree.  -->
  <!--======================================================================-->

  <xsl:template match="/">
    <xsl:apply-templates select="/CCGOODS_CCPARTS:SQLResult"/>
  </xsl:template>


  <!--======================================================================-->
  <!--                         Remaining Templates                          -->
  <!-- The remaining section defines the template rules. The last template  -->
  <!-- rule is a generic identity transformation used for moving complete   -->
  <!-- tree fragments from an input source to the result tree.              -->
  <!--======================================================================-->

  <!-- Composed element template -->
  <xsl:template match="CCGOODS_CCPARTS:CCGOODS_CCPARTS">
    <RequireResults:Part>
      <RequireResults:ItemNumber>
        <xsl:value-of select="CCGOODS_CCPARTS:ITEMNUMBER/text()"/>
      </RequireResults:ItemNumber>
      <RequireResults:PartCode>
        <xsl:value-of select="CCGOODS_CCPARTS:PARTCODE/text()"/>
      </RequireResults:PartCode>
      <RequireResults:Title>
        <xsl:value-of select="CCGOODS_CCPARTS:TITLE/text()"/>
      </RequireResults:Title>
      <RequireResults:Author>
        <xsl:value-of select="CCGOODS_CCPARTS:AUTHOR/text()"/>
      </RequireResults:Author>
      <RequireResults:Publisher>
        <xsl:value-of select="CCGOODS_CCPARTS:PUBLISHER/text()"/>
      </RequireResults:Publisher>
      <RequireResults:PublishingDate>
        <xsl:value-of select="CCGOODS_CCPARTS:PUBLISHINGDATE/text()"/>
      </RequireResults:PublishingDate>
      <RequireResults:NetPrice>
        <xsl:value-of select="CCGOODS_CCPARTS:NETPRICE/text()"/>
      </RequireResults:NetPrice>
      <RequireResults:ReducePrice>
        <xsl:value-of select="CCGOODS_CCPARTS:REDUCEPRICE/text()"/>
      </RequireResults:ReducePrice>
      <RequireResults:DiscountRate>
        <xsl:value-of select="CCGOODS_CCPARTS:DISCOUNTRATE/text()"/>
      </RequireResults:DiscountRate>
      <RequireResults:Quantity>
        <xsl:value-of select="CCGOODS_CCPARTS:QUANTITY/text()"/>
      </RequireResults:Quantity>
      <RequireResults:PartName>
        <xsl:value-of select="CCGOODS_CCPARTS:PARTNAME/text()"/>
      </RequireResults:PartName>
    </RequireResults:Part>
  </xsl:template>

  <!-- Composed element template -->
  <xsl:template match="CCGOODS_CCPARTS:SQLResult">
    <RequireResults:RequirePartsResult>
      <xsl:apply-templates select="CCGOODS_CCPARTS:CCGOODS_CCPARTS"/>
    </RequireResults:RequirePartsResult>
  </xsl:template>

  <!-- Identity transformation template -->
  <xsl:template match="*|@*|comment()|processing-instruction()|text()">
    <xsl:copy>
      <xsl:apply-templates select="*|@*|comment()|processing-instruction()|text()"/>
    </xsl:copy>
  </xsl:template>
</xsl:transform>
